ADAM_2.12: Core 0.32.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# GenotypeField 

###

#### object GenotypeField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenotypeField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
   Definition Classes
     FieldEnumeration
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  val alleles: SchemaVal
10.  val alternateReadDepth: SchemaVal
11.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
14.  val end: SchemaVal
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  val expectedAlleleDosage: SchemaVal
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  val genotypeLikelihoods: SchemaVal
20.  val genotypeQuality: SchemaVal
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def maxId: Int
    Definition Classes
      Enumeration
25.  val minReadDepth: SchemaVal
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
28.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
29.  val nonReferenceLikelihoods: SchemaVal
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  val phaseQuality: SchemaVal
33.  val phaseSetId: SchemaVal
34.  val phased: SchemaVal
35.  val processingDescription: SchemaVal
36.  val readDepth: SchemaVal
37.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
38.  val recordSchema: Schema
    Definition Classes
      FieldEnumeration
39.  val referenceName: SchemaVal
40.  val referenceReadDepth: SchemaVal
41.  val sampleDescription: SchemaVal
42.  val sampleId: SchemaVal
43.  val splitFromMultiAllelic: SchemaVal
44.  val start: SchemaVal
45.  val strandBiasComponents: SchemaVal
46.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
47.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
48.  def values: ValueSet
    Definition Classes
      Enumeration
49.  val variant: SchemaVal
50.  val variantCallingAnnotations: SchemaVal
51.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
52.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
53.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
54.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped